using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Authorization;
using MadRunFabric.Common;

namespace FileServerApi.Controllers.info
{
    [ApiVersion("6.0")]
    [AllowAnonymous]
    [Produces("application/json")]
    [Route("api/Info")]
    public class InfoController : BaseController
    {
        [HttpGet]
        public IEnumerable<string> Get()
        {
            return new string[] { $"版本信息 {RequestedApiVersion}", "开发团队: Mad Fun Fabric" };
        }

        protected ApiVersion RequestedApiVersion => HttpContext.GetRequestedApiVersion();
    }
}